Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime
Interface KieRuntime

All Superinterfaces:
  EntryPoint, KieRuntimeEventManager, ProcessEventManager, ProcessRuntime, RuleRuntime, WorkingMemoryEventManager

All Known Subinterfaces:
  KieSession

All Known Implementing Classes:
  StatefulProcessSession

    public interface KieRuntime

extends RuleRuntime, ProcessRuntime, KieRuntimeEventManager

Method Summary
`Calendars` | `getCalendars()`
`Map<String,Channel>` | `getChannels()`
`Environment` | `getEnvironment()`
`Object` | `getGlobal(String identifier)`
`Globals` | `getGlobals()`
`KieBase` | `getKieBase()` Returns the KieBase reference from which this stateful session was created.
`
`<T extends SessionClock> T`
` | `getSessionClock()` Returns the session clock instance assigned to this session
`KieSessionConfiguration` | `getSessionConfiguration()`
`void` | `registerChannel(String name, Channel channel)`
`void` | `setGlobal(String identifier, Object value)` Sets a global value in this session
`void` | `unregisterChannel(String name)`

Methods inherited from interface org.kie.api.runtime.rule.RuleRuntime
`getAgenda, getEntryPoint, getEntryPoints, getQueryResults, halt, openLiveQuery`

Methods inherited from interface org.kie.api.runtime.rule.EntryPoint
`delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getObject, getObjects, getObjects, insert, retract, update`

Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime
`abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcessInstance`

Methods inherited from interface org.kie.api.event.KieRuntimeEventManager
`getLogger`

Methods inherited from interface org.kie.api.event.rule.WorkingMemoryEventManager
`addEventListener, addEventListener, getAgendaEventListeners, getWorkingMemoryEventListeners, removeEventListener, removeEventListener`

Methods inherited from interface org.kie.api.event.process.ProcessEventManager
`addEventListener, getProcessEventListeners, removeEventListener`

Method Detail

### getSessionClock

    <T extends SessionClock> T getSessionClock()

  Returns the session clock instance assigned to this session

  Returns:

### setGlobal

    void setGlobal(String identifier,
                   Object value)

  Sets a global value in this session

  Parameters:
    `identifier` - the global identifier
    `value` - the value assigned to the global identifier

### getGlobal

    Object getGlobal(String identifier)

### getGlobals

    Globals getGlobals()

### getCalendars

    Calendars getCalendars()

### getEnvironment

    Environment getEnvironment()

### getKieBase

    KieBase getKieBase()

  Returns the KieBase reference from which this stateful session was created.

### registerChannel

    void registerChannel(String name,
                         Channel channel)

### unregisterChannel

    void unregisterChannel(String name)

### getChannels

    Map<String,Channel> getChannels()

### getSessionConfiguration

    KieSessionConfiguration getSessionConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.